Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.container
Class SpringBlueprintConverterService

    java.lang.Object
      org.eclipse.gemini.blueprint.blueprint.container.SpringBlueprintConverterService

All Implemented Interfaces:
  org.springframework.core.convert.ConversionService

    public class SpringBlueprintConverterService

extends Object
implements org.springframework.core.convert.ConversionService

OSGi 4.2 Blueprint converter adapter as an Spring 3.0 ConverterService.

Author:
  Costin Leau

Constructor Summary
`SpringBlueprintConverterService(org.springframework.core.convert.ConversionService delegate, org.springframework.beans.factory.config.ConfigurableBeanFactory cbf)`

Method Summary
`void` | `add(Collection<Converter> blueprintConverters)`
`void` | `add(Converter blueprintConverter)`
`boolean` | `canConvert(Class<?> sourceType, Class<?> targetType)`
`boolean` | `canConvert(org.springframework.core.convert.TypeDescriptor sourceType, org.springframework.core.convert.TypeDescriptor targetType)`
`
`<T> T`
` | `convert(Object source, Class<T> targetType)`
`Object` | `convert(Object source, org.springframework.core.convert.TypeDescriptor sourceType, org.springframework.core.convert.TypeDescriptor targetType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBlueprintConverterService

    public SpringBlueprintConverterService(org.springframework.core.convert.ConversionService delegate,
                                           org.springframework.beans.factory.config.ConfigurableBeanFactory cbf)

Method Detail

### add

    public void add(Converter blueprintConverter)

### add

    public void add(Collection<Converter> blueprintConverters)

### canConvert

    public boolean canConvert(Class<?> sourceType,
                              Class<?> targetType)

  Specified by:
    `canConvert` in interface `org.springframework.core.convert.ConversionService`

### canConvert

    public boolean canConvert(org.springframework.core.convert.TypeDescriptor sourceType,
                              org.springframework.core.convert.TypeDescriptor targetType)

  Specified by:
    `canConvert` in interface `org.springframework.core.convert.ConversionService`

### convert

    public <T> T convert(Object source,
                         Class<T> targetType)

  Specified by:
    `convert` in interface `org.springframework.core.convert.ConversionService`

### convert

    public Object convert(Object source,
                          org.springframework.core.convert.TypeDescriptor sourceType,
                          org.springframework.core.convert.TypeDescriptor targetType)

  Specified by:
    `convert` in interface `org.springframework.core.convert.ConversionService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.